org.keycloak.testutils.ldap

## Class KerberosEmbeddedServer

- java.lang.Object
- - org.keycloak.testutils.ldap.LDAPEmbeddedServer
  - - org.keycloak.testutils.ldap.KerberosEmbeddedServer

-     public class KerberosEmbeddedServer
      extends LDAPEmbeddedServer

  Author:
    Marek Posolda

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.testutils.ldap.LDAPEmbeddedServer

      `baseDN, bindHost, bindPort, directoryService, ldapSaslPrincipal, ldapServer, ldifFile`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `KerberosEmbeddedServer(String baseDN, String bindHost, int bindPort, String ldifFile, String ldapSaslPrincipal, String kerberosRealm, int kdcPort, String kdcEncryptionTypes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.directory.server.kerberos.kdc.KdcServer` | `createAndStartKdcServer()`
    `protected org.apache.directory.server.core.api.DirectoryService` | `createDirectoryService()`
    `protected org.apache.directory.server.ldap.LdapServer` | `createLdapServer()`
    `void` | `init()`
    `static void` | `main(String[] args)`
    `void` | `stop()`
    `protected void` | `stopKerberosServer()`

    - ### Methods inherited from class org.keycloak.testutils.ldap.LDAPEmbeddedServer

      `shutdownDirectoryService, start, stopLdapServer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KerberosEmbeddedServer

          protected KerberosEmbeddedServer(String baseDN,
                                String bindHost,
                                int bindPort,
                                String ldifFile,
                                String ldapSaslPrincipal,
                                String kerberosRealm,
                                int kdcPort,
                                String kdcEncryptionTypes)

  - ### Method Detail

    - #### main

          public static void main(String[] args)
                           throws Exception

      Throws:
        `Exception`

    - #### init

          public void init()
                    throws Exception

      Overrides:
        `init` in class `LDAPEmbeddedServer`
      Throws:
        `Exception`

    - #### createDirectoryService

          protected org.apache.directory.server.core.api.DirectoryService createDirectoryService()
                                                                                          throws Exception

      Overrides:
        `createDirectoryService` in class `LDAPEmbeddedServer`
      Throws:
        `Exception`

    - #### createLdapServer

          protected org.apache.directory.server.ldap.LdapServer createLdapServer()

      Overrides:
        `createLdapServer` in class `LDAPEmbeddedServer`

    - #### createAndStartKdcServer

          protected org.apache.directory.server.kerberos.kdc.KdcServer createAndStartKdcServer()
                                                                                        throws Exception

      Throws:
        `Exception`

    - #### stop

          public void stop()
                    throws Exception

      Overrides:
        `stop` in class `LDAPEmbeddedServer`
      Throws:
        `Exception`

    - #### stopKerberosServer

          protected void stopKerberosServer()

Copyright © 2015. All rights reserved.